<?
include_once "../SYSTEM/include/functions.php";
include_once "../SYSTEM/include/mysql.php";
include_once "../SYSTEM/include/param.php";
include_once "../SYSTEM/include/ban.php";
include_once "../SYSTEM/include/sess.php";
include_once "../SYSTEM/include/ban_2.php";
include_once "../SYSTEM/include/theme.php";
if (!isset($_GET['r'])){exit;}

$r=intval($_GET['r']);



if ($r<-42)$r=-42;
if ($r>42)$r=42;




$img=imagecreatefromgif("../SYSTEM/images/rating/fon.gif");




if ($r==0)$img_shk=imagecreatefromgif("../SYSTEM/images/rating/2.gif");
elseif($r>0 && $r<20)$img_shk=imagecreatefromgif("../SYSTEM/images/rating/3.gif");
elseif($r<0 && $r>-20)$img_shk=imagecreatefromgif("../SYSTEM/images/rating/4.gif");
elseif($r>=20)$img_shk=imagecreatefromgif("../SYSTEM/images/rating/5.gif");
elseif($r<=-20)$img_shk=imagecreatefromgif("../SYSTEM/images/rating/6.gif");

imagecopy($img, $img_shk, $r+43, 0, 0, 0, 14, 12);



if ($r>=0)ImageString ($img, 0, 5, 2, "rat=$r",0);
else ImageString ($img, 0, 55, 2, "rat=$r",0);

header("Content-type: image/gif");
imagegif($img);
?>
